import request from '@/utils/request'


export function userIndex(params) {
  return request({
    url: '/api/mobile/other/user-index',
    method: 'get',
    params
  })
}

export function bookDetail(params) {
  return request({
    url: '/api/mobile/other/book-detail',
    method: 'get',
    params
  })
}


export function bookBorrow(data) {
  return request({
    url: '/api/mobile/other/book-borrow',
    method: 'post',
    data
  })
}




export function bookReturn(data) {
  return request({
    url: '/api/mobile/other/book-return',
    method: 'post',
    data
  })
}


export function checkBookBorrow(data) {
  return request({
    url: '/api/mobile/other/check-book-borrow',
    method: 'post',
    data
  })
}
